// QANav Report Tracker Copyright 2008 -2009 Ronald D. Grindle

package RTObj;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;

import com.qanavigation.QNservices.QNDBacc2;

/**
 * PT List Base Object, for Frames as well
 * @author RGDM2
 *
 */
public class RTLstObj extends RTtoolsObj {
	
	public boolean m_modeIsAll;
	public boolean m_modeIsMy;
	public boolean m_modeIsWoCl;
	public String m_withAssign;
	
	/**
	 * 
	 * @param p_Request
	 * @param p_dBAcc
	 */
	public RTLstObj( HttpServlet p_Srvl, HttpServletRequest p_Request, QNDBacc2 p_dBAcc ) {
		
		super( p_Srvl, p_Request, p_dBAcc );
		
		initMe();
		
		if( notOK() ) {
			
			addRsltAddFailInfo( "RTLstObj", "RTLstObj", "", "" );
		}		
	}
	
	// -------------------
	public void checkMode() { 
		
		m_mode = m_sTools.getStrVal( "Mode" );
		
		if( m_mode.compareTo( "Act" ) == 0 ) {
			
			m_modeIsAll = true;
			m_modeIsMy = false;
			m_modeIsWoCl = true;
			m_withAssign = "false";
		}
		else if( m_mode.compareTo( "All" ) == 0 ) {
	
			m_modeIsAll = true;
			m_modeIsMy = false;
			m_modeIsWoCl = false;			
			m_withAssign = "false";
		}
		else if( m_mode.compareTo( "My" ) == 0 ) {
			
			m_modeIsAll = false;
			m_modeIsMy = true;
			m_modeIsWoCl = true;			
			m_withAssign = "true";
		}		
	}
	
	// -------------------------
	private void initMe() {
		
		m_modeIsAll = false;
		m_modeIsWoCl = false;
		
		m_withAssign = "true";
	}	
}
