/* QANav Report Tracker Copyright 2004 Ronald D. Grindle */

/* Routines for reports */

var m_brnchLst = new Array();
var m_currBrnchSel;

// ----------------------------------------------
// Add Comment
function addComm() {

	var aNode;

	aNode = document.getElementById( "idCmnctStat" );
	aNode.value = "";
	
	aNode = document.getElementById( "idCmnctUser" );
	aNode.value = m_User;

	aNode = document.getElementById( "idCmnctDialTitle" );
	aNode.firstChild.nodeValue = decodeHTML( lblAddComm );

	aNode = document.getElementsByName( "CmnctTitle" )[0];
	aNode.value = decodeHTML( lblCmmnt );

	showCmnct();
}

// ----------------------------------------------
function addCmnct() {

	var aNode;
	
	m_Reload = true;

	hideD( "dialCmnct" );

	notifyEvent( "Proc", "" );

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	aNode = document.getElementById( "idCmnctUID" );
	aNode.value = m_UID;

	aNode = document.getElementById( "idCmnctDType" );
	aNode.value = m_DocType;

	aNode = document.getElementById( "formCmnct" );
	aNode.submit();
	//aNode.reset(); doesn't help.

	//aNode.action = "";

	//theFrm = document.getElementById( "ifrmExecDial" );
	//theFrm.src = "Test.jsp?QNA=UpdRep&UID=" + m_UID + "&Mode=addReq4Comm&Param=" + param;
}


// ----------------------------------------------
// Append a file
function appFile() {

	showD( "dialAppFile", 50 );
	setFocus( "butsaveAppFile" );
}

// ------------------------------------------------------------------
// assign dialog
function assignTo( p_NextStat ) {

	assignToRole( p_NextStat, "" )
}

// ------------------------------------------------------------------
// assign dialog
function assignToRole( p_NextStat, p_Role ) {

	var aNode = document.getElementById( "idAsgnQNA" );
	aNode.value = "Assign";

	aNode = document.getElementById( "idAsgnUID" );
	aNode.value = m_UID;

	aNode = document.getElementById( "idAsgnDType" );
	aNode.value = m_DocType;

	aNode = document.getElementById( "idAsgnStat" );
	aNode.value = p_NextStat;
	
	aNode = document.getElementById( "idAsgnUser" );
	aNode.value = m_User;

	aNode = document.getElementById( "idCurrStat" );
	aNode.value = "";
	
	fillAssgnLst( p_Role );

	showD( "dialAssignLst", 50 );
	setFocus( "butDoAssgn" );
}

// ------------------------------------------------------------------
// Change Status
function chgStat() {

	showD( "dialChgRStat", 50 );
	setFocus( "butChgRStat" );
}

// ----------------------------------------------
function closeRep( ) {

	var aNode;

	// dialog for fix description
	aNode = document.getElementById( "idCmnctStat" );
	aNode.value = "cl";
	
	aNode = document.getElementById( "idCmnctUser" );
	aNode.value = m_User;

	aNode = document.getElementById( "idCmnctDialTitle" );
	aNode.firstChild.nodeValue = decodeHTML( lblCloseRep );

	aNode = document.getElementsByName( "CmnctTitle" )[0];
	aNode.value = decodeHTML( lblTstOK ); 

	showCmnct();

/*
	m_Reload = true;

	onExe = "UpdQNDoc?QNA=Close&UID=" + m_UID + "&User=" + m_User;

	doExec( onExe );
*/
}

// ----------------------------------------------
function doSelShpTSys() {

	var aNode;

	m_Reload = true;

	hideD( "dialShpSelTSys" );

	notifyEvent( "Proc", "" );

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );
		
	aNode = document.getElementById( "idShpSelTSysQNA" );
	aNode.value = "SelShpTSys";
	
	aNode = document.getElementById( "idShpSelTSysStat" );
	aNode.value = "rSysTst";

	aNode = document.getElementById( "idShpSelTSysUID" );
	aNode.value = m_UID;
	
	aNode = document.getElementById( "idShpSelTSysUser" );
	aNode.value = m_User;

	aNode = document.getElementById( "formShpSelTSys" );
	aNode.submit();

	aNode = document.getElementById( "idShpSelTSysQNA" );
	aNode.value = "";	
	
	aNode = document.getElementById( "idShpSelTSysUID" );
	aNode.value = "";	
}

// ----------------------------------------------
function doSetCR() {

	var aNode;

	m_Reload = true;

	hideD( "dialCR" );
	//blurFocus( "butDoSetCR" );

	notifyEvent( "Proc", "" );

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	aNode = document.getElementById( "idCRUIDDoc" );
	aNode.value = m_UID;
	
	aNode = document.getElementById( "idCRAuthor" );
	aNode.value = m_User;

	aNode = document.getElementById( "formCR" );
	aNode.submit();
	
	aNode = document.getElementById( "idCRUIDDoc" );
	aNode.value = "";	
}

// ----------------------------------------------
function doSetPrio() {

	hideD( "dialPrio" );
	//blurFocus( "butDoSetPrio" );

	param = getRadioVal( "Prio" );

	if( param != "" ) {

		m_Reload = true;

		onExe = "UpdQNDoc?QNA=SetPrio&UID=" + m_UID + "&Prio=" + param + "&User=" + m_User;

		doExec( onExe );
	}
}

// ----------------------------------------------
// execution window
function execWinDone() {

	hideD( "dialExecWin" );
	//blurFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );
	theFrm.src = "";

	if( m_Reload ) {

		myReload();
	}
}


// ----------------------------------------------
// Give Answer
function givAns() {

	var aNode;

	aNode = document.getElementById( "idCmnctStat" );
	aNode.value = "rg";

	aNode = document.getElementById( "idCmnctUser" );
	aNode.value = m_User;

	aNode = document.getElementById( "idCmnctDialTitle" );
	aNode.firstChild.nodeValue = decodeHTML( lblGiveAnsw );

	aNode = document.getElementsByName( "CmnctTitle" )[0];
	aNode.value = decodeHTML( lblResponse );

	showCmnct();
}

// ----------------------------------------------
function saveShip() {

	m_Reload = true;
	
	var aNode;

	hideD( "dialShip" );
	//blurFocus( "butSaveShip" );

	notifyEvent( "Proc", "" );

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	aNode = document.getElementById( "idShipUIDDoc" );
	aNode.value = m_UID;

	aNode = document.getElementById( "idShipDType" );
	aNode.value = m_DocType;

	aNode = document.getElementById( "formShip" );
	aNode.submit();
}

// ----------------------------------------------
function notifyProc() {

	notifyEvent( "Proc", "" );
}

// ----------------------------------------------
// shipping per PR, not used sby TCom
function openEst() {

	showD( "dialEst", 50 );
	setFocus( "butSetEst" );
}
// ----------------------------------------------
// shipping per PR, not used sby TCom
function openShip() {

	var aNode;

	aNode = document.getElementById( "idShipUIDDoc" );
	aNode.value = m_UID;

	aNode = document.getElementById( "idShipDType" );
	aNode.value = m_DocType;

	aNode = document.getElementById( "idShipCurrStat" );
	aNode.value = "rs"; // the status of what the current (latest) fix doc is in!

	aNode = document.getElementById( "idShipStat" );
	aNode.value = "rt"; //new fix status
	
	aNode = document.getElementById( "ShipAuthor" );
	aNode.value = m_User;

	showD( "dialShip", 50 );
	setFocus( "butSaveShip" );
}

// ------------------------------------------------------------------
// ready for shipment
function r4Ship() {

	m_Reload = true;

	onExe = "UpdQNDoc?QNA=SetRStat&UID=" + m_UID + "&Stat=rs&User=" + m_User;

	doExec( onExe );

/*
	// dialog for fix description
	theNode = document.getElementById( "idCmnctStat" );
	theNode.value = "rs";

	theNode = document.getElementById( "idCmnctUser" );
	theNode.value = m_User;

	theNode = document.getElementById( "idCmnctDialTitle" );
	theNode.firstChild.nodeValue = decodeHTML( lblR4Ship );

	theNode = document.getElementsByName( "CmnctTitle" )[0];
	theNode.value = decodeHTML( lblR4Ship );

	showCmnct();
*/
}

// ----------------------------------------------
// Reject Issue
function rejectIss() {

	var aNode;
	
	aNode = document.getElementById( "idCmnctStat" );
	aNode.value = "rj";

	aNode = document.getElementById( "idCmnctUser" );
	aNode.value = m_User;

	aNode = document.getElementById( "idCmnctDialTitle" );
	aNode.firstChild.nodeValue = decodeHTML( lblRejIss );

	aNode = document.getElementsByName( "CmnctTitle" )[0];
	aNode.value = decodeHTML( lblIssRejctd );

	showCmnct();
}

// ----------------------------------------------
// Reject PR
function rejectPR() {

	var aNode;

	aNode = document.getElementById( "idCmnctStat" );
	aNode.value = "rj";

	aNode = document.getElementById( "idCmnctUser" );
	aNode.value = m_User;

	aNode = document.getElementById( "idCmnctDialTitle" );
	aNode.firstChild.nodeValue = decodeHTML( lblRejPR );

	aNode = document.getElementsByName( "CmnctTitle" )[0];
	aNode.value = decodeHTML( lblPRRejctd );

	showCmnct();
}

// ------------------------------------------------------------------
// 
function reopen() {

	var aNode;

	// dialog for fix description
	aNode = document.getElementById( "idCmnctStat" );
	aNode.value = "re";

	aNode = document.getElementById( "idCmnctUser" );
	aNode.value = m_User;

	aNode = document.getElementById( "idCmnctDialTitle" );
	aNode.firstChild.nodeValue = decodeHTML( lblRepReOp );

	aNode = document.getElementsByName( "CmnctTitle" )[0];
	aNode.value = decodeHTML( lblRepReOp );

	showCmnct();
}

// ----------------------------------------------
// Request for Comment
function reqComm() {

	aNode = document.getElementById( "idCmnctStat" );
	aNode.value = "cr";

	aNode = document.getElementById( "idCmnctUser" );
	aNode.value = m_User;

	aNode = document.getElementById( "idCmnctDialTitle" );
	aNode.firstChild.nodeValue = decodeHTML( lblReqComm );

	aNode = document.getElementsByName( "CmnctTitle" )[0];
	aNode.value = decodeHTML( lblCommReq );

	showCmnct();
}

// ----------------------------------------------
function rstAppFile() {

	hideD( "dialAppFile" );
	//blurFocus( "butsaveAppFile" );
	setCont( "id", "idAppFileDesc", 0, "" );
}

// ----------------------------------------------
function resetAssign() {

	hideD( "dialAssignLst" );
	//blurFocus( "butDoAssgn" );

	//theNode = document.getElementById( "idAsgnUID" );

	setCont( "id", "idAsgnUID", 0, "" );
	/*
	if( MS ) {
		
		theNode.innerText = "";
	}
	else {

		theNode.value = "";
	}
	*/
}

// ----------------------------------------------
function rstChgRStat() {

	hideD( "dialChgRStat" );
	//blurFocus( "butChgRStat" );

	notify( "MissionOK" );
}

// ----------------------------------------------
function rstCmnct() {

	hideD( "dialCmnct" );
	//blurFocus( "butAddCmnct" );

	theTxt = document.getElementsByName( "TxtCmnct" )[0];
	theTxt.value = "";
}

// ----------------------------------------------
function rstCR() {

	hideD( "dialCR" );
	//blurFocus( "butDoSetCR" );
}

// ----------------------------------------------
function rstEst() {

	hideD( "dialEst" );
	//blurFocus( "butSetEst" );
}

// ----------------------------------------------
function rstPrio() {

	hideD( "dialPrio" );
	//blurFocus( "butDoSetPrio" );

	notify( "MissionOK" );
}

// ----------------------------------------------
function rstShip() {

	hideD( "dialShip" );
	//blurFocus( "butSaveShip" );
}

// ----------------------------------------------
// Confirm window
function resetConfrmd() {

	hideD( "dialConfirm" );
	//blurFocus( "butConfrmd" );

	theTxt = document.getElementById( "idConfTxt" );
	theTxt.data = ""
}

// ----------------------------------------------
function saveAppFile() {

	var aNode;
	
	m_Reload = true;

	hideD( "dialAppFile" );
	//blurFocus( "butsaveAppFile" );

	notifyEvent( "Proc", "" );

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	aNode = document.getElementById( "idAppFileAuthor" );
	aNode.value = m_User;

	aNode = document.getElementById( "idAppFileUIDDoc" );
	aNode.value = m_UID;

	aNode = document.getElementById( "idAppFileDType" );
	aNode.value = m_DocType;

	aNode = document.getElementById( "formAppFile" );
	aNode.submit();
}

// --------------------
function setChkBrnch( p_Brnch, p_BVal ) {

	var aNode;
	
	var brnch;
	var i, x, y;
	
	var isNew = true;
	
	brnch = "";
	
	//aNode = document.getElementById( "BrnchNum" );
	x = m_BrnchCnt;
	
	for( i = 0; i < x; ++i ) {
	
		aNode = document.getElementById( p_Brnch + i );
		
		if( aNode.checked ) {
		
			if( isNew ) {
			
				isNew = false;
			}
			else {
			
				brnch += ", ";
			}
		
			brnch += aNode.value;
		}
	}
	
	theCnt = document.getElementById( "fixLstCount" );
	y = theCnt.value;
	
	for( i = 0; i < y; ++i ) {

		aNode = document.getElementsByName( p_BVal + i )[0];
		aNode.value = brnch;
	}
}

// ------------------------------------------------------------------
function selShpTSys() {

	showD( "dialShpSelTSys", 50 );
	setFocus( "butShpSelTSys" );
}

// ------------------------------------------------------------------
function setCR() {

	showD( "dialCR", 50 );
	setFocus( "butDoSetCR" );
}

// ----------------------------------------------
function setEst() {

	var aNode;
	
	m_Reload = true;

	hideD( "dialEst" );
	//blurFocus( "butSetEst" );

	notifyEvent( "Proc", "" );

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	aNode = document.getElementById( "idEstUIDDoc" );
	aNode.value = m_UID;

	aNode = document.getElementById( "idEstStat" );
	aNode.value = "es"; //new pr status
	
	aNode = document.getElementById( "idEstAuthor" );
	aNode.value = m_User;

	aNode = document.getElementById( "formEst" );
	aNode.submit();

	aNode = document.getElementById( "idEstUIDDoc" );
	aNode.value = "";
}

// ------------------------------------------------------------------
// set fixed
// deactivated; saveFix() handles all
/*
function setFixed() {

	// dialog for fix description
	theNode = document.getElementById( "idCmnctStat" );
	theNode.value = "rt";

	theNode = document.getElementById( "idCmnctUser" );
	theNode.value = m_User;

	theNode = document.getElementById( "idCmnctDialTitle" );
	theNode.firstChild.nodeValue = decodeHTML( lblFixDesc );

	theNode = document.getElementsByName( "CmnctTitle" )[0];
	theNode.value = decodeHTML( lblFixDesc );

	showCmnct();
}
*/

// ------------------------------------------------------------------
// Change Status
function setPrio() {

	showD( "dialPrio", 50 );
	setFocus( "butDoSetPrio" );
}

// ----------------------------------------------
function setStat( p_NewStat ) {

	m_Reload = true;

	onExe = "UpdQNDoc?QNA=SetRStat&UID=" + m_UID + "&DocType=" + m_DocType + "&Stat=" + p_NewStat + "&User=" + m_User;

	doExec( onExe );
}

// ----------------------------------------------
// Communication Panel
function showCmnct() {

	var aNode;
	
	aNode = document.getElementById( "CmnctAuthor" );
	aNode.value = m_User;

	showD( "dialCmnct", 50 );
	//setFocus( "butAddCmnct" );

	aNode = document.getElementById( "idTxtCmnct" );
	aNode.focus();
}

// ----------------------------------------------
function subDel() {

	theTxt = document.getElementById( "idConfTxt" );
	theTxt.innerHTML = msgConfrmDel;

	m_Reload = true;

	showD( "dialConfirm", 50 );
	setFocus( "butConfrmd" );

	m_OnConfirm = "UpdQNDoc?QNA=Delete&UID=" + m_UID + "&User=" + m_User;
}

// ----------------------------------------------
function subEdit() {

	//notifyProc();
	self.location.href = m_editAppl + "?QNA=" + m_editQNA + "&UID=" + m_UID;
}

// ------------------------------------------------------------------
// test rejected
function tstFail() {

	var aNode;
	
	// dialog for fix description
	aNode = document.getElementById( "idCmnctStat" );
	aNode.value = "tf";
	
	aNode = document.getElementById( "idCmnctUser" );
	aNode.value = m_User;

	aNode = document.getElementById( "idCmnctDialTitle" );
	aNode.firstChild.nodeValue = decodeHTML( lblTstFail );

	aNode = document.getElementsByName( "CmnctTitle" )[0];
	aNode.value = decodeHTML( lblTstFail ); 

	showCmnct();
}