// QANav Report Tracker Copyright 2004 - 2009 Ronald D. Grindle
// Common Routines for Reporter.

var m_FixPart = "";

// ----------------------------
function call4List( p_LstName, p_CB ) {

	var url = "AjxGetListData?List=" + p_LstName;

	ajxReq = bldAjaxReq();

	ajxReq.open( "Get", url, true );
	ajxReq.onreadystatechange = p_CB;
	ajxReq.send( null );
}

// ----------------------------
function call4ApplVers( p_Appl ) {
	
	var QNA = "GetVers4Appl";
	
//alert( "call4ApplVers " + p_Appl );	
	
	var url = "AjxDocInfo?QNA=" + QNA + "&Val=" + p_Appl;

	ajxReq = bldAjaxReq();

	ajxReq.open( "Get", url, true );
	ajxReq.onreadystatechange = cbApplVers;
	ajxReq.send( null );
}

// ----------------------------
function call4FixPart( p_Section ) {
	
	var QNA = "GetDBDataLst";
	
//alert( "call4ApplVers " + p_Appl );	
	
	var url = "AjxDocInfo?QNA=" + QNA + "&Val=FixPart/" + p_Section;

	ajxReq = bldAjaxReq();

	ajxReq.open( "Get", url, true );
	ajxReq.onreadystatechange = cbFixParts;
	ajxReq.send( null );
}

// ----------------------------
function cbApplVers() { 

	if( ajxReq.readyState == 4 ) {

		if( ajxReq.status == 200 ) {
	
			var sName = "SoftRel";

			var list = getAjxLst( );
				
			addSelValsMCS( sName, list );
		}
	}
}

// ----------------------------
function cbFixParts() { 

	if( ajxReq.readyState == 4 ) {

		if( ajxReq.status == 200 ) {

			var list;
	
			var sName = m_FixPart;

			list = getAjxLst( );

			addSelValsMCS( sName, list );
		}
	}
}

// ----------------------------
function cbUCList() { 

	if( ajxReq.readyState == 4 ) {

		if( ajxReq.status == 200 ) {
	
			var sName = "UseCase";
			
			var list = getAjxLst();
			
			addSelValsMCS( sName, list );
		}
	}
}

// ----------------------------
function cbUCSectList() { 

	if( ajxReq.readyState == 4 ) {

		if( ajxReq.status == 200 ) {
	
			var sName = "UCSection";
			
			list = getAjxLst();
			
			addSelValsMCS( sName, list );
		}
	}
}

// ------------------------------------------
function doDelete( p_UID, p_Name, p_Trgt ) {

	doProbClsCalc();

	theIn = document.getElementsByName( "QNA" )[0];
	theIn.value = "DelFile";

	theIn = document.getElementsByName( "DelUID" )[0];
	theIn.value = p_UID;

	theIn = document.getElementsByName( "DelName" )[0];
	theIn.value = p_Name;

	document.forms[0].action = p_Trgt;

	document.forms[0].submit();
}

// ------------------------------------------
/* should be generalized
function doSubmit() {

	isOK = checkAllInput();

	if( isOK ) {

		doProbClsCalc();

		theIn = document.getElementsByName( "QNA" )[0];
		theIn.value = "IssProb";

		theIn = document.getElementsByName( "ProbStat" )[0];

		if( theIn.value == "dr" ) {

			theIn.value = "sb";
		}

		document.forms[0].action = "VTRFr.jsp"
		document.forms[0].target = "_parent";

		document.forms[0].submit();
	}

	return isOK;
}
*/

/* could be generalized 
// ------------------------------------------
function doSave( p_QNA, p_Trgt ) {
	
	isOK = checkInput( "Title", lblTitle );

	if( isOK ) {

		doProbClsCalc();

		theIn = document.getElementsByName( "QNA" )[0];
		theIn.value = "UplProb";

		document.forms[0].action = "EditTR.jsp";
		document.forms[0].submit();
	}
	else {

		parent.notifyEvent( "resetErr", errFldNotFill );
		//alert( errFldNotFill );
	}
}
*/

// -------------------------
function fileDel( p_FileName ) {

	alert( "File '" + fileName.getString() + "' was removed." );
	myReload();	
}

// ----------------------------
function fillApplVer() {

	var sName = "Appl";
	
	var theSel = document.getElementsByName( sName )[0];

	var appl = theSel.value;
	
//alert( "appl " + appl );
	
	call4ApplVers( appl );
}


// ----------------------------
function fillFixPart( p_SectName, p_FixPartName ) {

	m_FixPart = p_FixPartName;
	
//alert( p_SectName );
	
	var theSel = document.getElementsByName( p_SectName )[0];

	var sec = theSel.value;
	
//alert( "FixSections " + sec );
	
	call4FixPart( sec );
}

// ----------------------------
function fillUCSectSel() {

	var sName = "UCSection";
	
	var theSel = document.getElementsByName( sName )[0];
	
	x = theSel.length;
	
	if( x < 3 ) {
	
		call4List( "UCSection.lst", cbUCSectList );
	}
}

// ----------------------------
function fillUCSel() {

	var sName = "UseCase";
	
	var theSel = document.getElementsByName( sName )[0];
	
	x = theSel.length;
	
	if( x < 3 ) {
	
		call4List( "UseCase.lst", cbUCList );
	}
}
