<!-- QANav Report Tracker Copyright 2004 - 2009 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page isThreadSafe="false" %>
<%@ page errorPage="/ErrPage.jsp" %>

<%@ page import="java.util.*" %>

<%@ page import="com.qanavigation.Basics.*" %>
<%@ page import="com.qanavigation.QNservices.*" %>
<%@ page import="RTtools.QNDefsCust" %>
<%@ page import="RTObj.RTtoolsObj" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<fmt:setBundle basename="QNLabels"/>

<%@ include file="jspf/UserRoles.jspf" %>

<% 
	boolean isAll = false;
	boolean isCl = false;
	boolean isSrch = false;
	boolean withChk = false;

	int i, j, x, y;
	int cols = 0;
	int srtStrtCol = 0;
	int srtStrt = 3;

	Rslt res = new Rslt();

	RsltString rVal;

	RsltTable m_AssgnLst;
	RsltTable m_ShpDocLst = null;

	String[] data;
	String oStr;

	String aGroup = "";
	String assGroup = "";
	String proj = "";
	String aRole = "";
	String assign = "";
	String aUser = "";
	String aVal = "";
	String author = "";
	String line = "";
	String mode = "";
	String ntfyMsg = "";
	String prio = "";
	String issType = "";
	String issStat = "";
	String role;
	String srchTxt = "";
	String strRO = "";
	String td = "";
	String issNum = "";
	String uGroup = "";
	String yGroup = "";
	String user = "";
	String withEdit = "false";
	String withAssign = "true";

	String part1, part2, part3;

	res.setOK();

	//ResourceBundle resBndl = ResourceBundle.getBundle("QNLabels", request.getLocale() );
	QNRscBundle resBndl = new QNRscBundle( "QNLabels", request.getLocale() );
	RsltTable rTbl;

	QNDBacc2 dBAcc = new QNDBacc2();

	SrvltReqTools sTools = new SrvltReqTools( this, request );
	UserTool uTool = new UserTool( dBAcc.m_DB );

	RTtoolsObj rto = new RTtoolsObj( this, request, dBAcc );

	QNDocLstr docLstr = new QNDocLstr( dBAcc.m_DB );

	user = request.getRemoteUser();
	yGroup = uTool.getGroupForUser( user );

	proj = sTools.getStrVal( "Proj" );
	assign = sTools.getStrVal( "Assign" );
	author = sTools.getStrVal( "Author" );
	mode = sTools.getStrVal( "Mode" );
	prio = sTools.getStrVal( "Prio" );
	issType = sTools.getStrVal( "IssType" );
	issStat = sTools.getStrVal( "IssStat" );
	issNum = sTools.getStrVal( "IssNum" );
	uGroup = sTools.getStrVal( "UGroup" );

	if( mode.compareTo( "All" ) == 0 ) {

		isAll = true;
		withAssign = "false";
	}
	
	if( mode.compareTo( "Cl" ) == 0 ) {

		isAll = true;
		isCl = true;
		withAssign = "false";
	}

	if( mode.compareTo( "Srch" ) == 0 ) {

		srchTxt = sTools.getStrVal( "SrchTxt" );

		isSrch = true;
		srtStrt = 2;
	}

//out.print( "<p>'" + mode + "' " + withAssign + "</p>" );

	evalUser( request, resBndl );

	if( isSrvc ) {
		
		if( isAll || isSrch ) {
		
			assGroup = "";
		}
		else {

			assGroup = yGroup;

			if( !( isSup ) ) { 

				uGroup = yGroup;
			}
		}
	}
	else {

		author = user;
		strRO = " readonly";
	}

	if( (isSup || isDpl) && !( isAll ) ) {

		withChk = true;
		srtStrtCol = 1;
	}

	//m_AssgnLst = uTool.getLst4Assgn( assGroup );
	m_AssgnLst = uTool.getLst4Assgn( "" );
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>

		<TITLE>Issue Report List</TITLE>

		<meta name="DC.Title" content="Issue Report List">
		<meta name="DC.Creator" content="Ronald D. Grindle">
		<meta name="DC.Publisher" content="QA Navigation">
		<meta name="DC.Date" content="2004-06-12">
		<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
		<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">
		
		<link rel=stylesheet type="text/css" href="QNStyle.css" >

<script type="text/javascript" src="incl/dhtml.js"></script>
<script type="text/javascript" src="incl/PnlTools.js"></script>
<script type="text/javascript" src="incl/DialTools.js"></script>
<script type="text/javascript" src="incl/TblSort.js"></script>
<script type="text/javascript" src="incl/LstTools.js"></script>
<script type="text/javascript" src="incl/RManTools.js"></script>
<script type="text/javascript" src="incl/datetimepicker.js"></script>

<script type="text/javascript">
<!--

<%@ include file="jspf/UserRolesScr2.jspf" %>

<%@ include file="jspf/PnlToolsLbls.jspf" %>

var m_DocType = "IssReport";

var m_UID = "";
var m_User;
var m_noMenue;
var m_Reload;
var m_ImHere;

var m_href = self.location.href;

var m_editAppl = "IssProb.jsp";
var viewAppl = "VIssRepFr.jsp";
var viewQNA =  <% out.print( "\"" + QNDefs.c_QNAViewIss + "\"" ); %>;
var m_editQNA = "EditIss";

var m_srtStrtCol = <% out.print( srtStrtCol ); %>;
var m_srtStrt = <% out.print( srtStrt ); %>;

var m_User = <% out.print( "\"" + user + "\"" ); %>;

var blblCancel = <% out.print( "\"" + resBndl.getString( "blblCancel" ) + "\"" ); %>;
var blblChgStat = <% out.print( "\"" + resBndl.getString( "blblChgStat" ) + "\"" ); %>;
var blblDel = <% out.print( "\"" + resBndl.getString( "blblDel" ) + "\"" ); %>;
var blblEdit = <% out.print( "\"" + resBndl.getString( "blblEdit" ) + "\"" ); %>;
var blblFrwrd = <% out.print( "\"" + resBndl.getString( "blblFrwrd" ) + "\"" ); %>;
var blblView = <% out.print( "\"" + resBndl.getString( "blblView" ) + "\"" ); %>;
var blblInNW = <% out.print( "\"" + resBndl.getString( "blblInNW" ) + "\"" ); %>;

var lblAssLst = <% out.print( "\"" + resBndl.getString( "lblAssLst" ) + "\"" ); %>;
var lblPrio = <% out.print( "\"" + resBndl.getString( "lblPrio" ) + "\"" ); %>; 
var lblIssType = <% out.print( "\"" + resBndl.getString( "lblIssType" ) + "\"" ); %>; 
var lblIssStat = <% out.print( "\"" + resBndl.getString( "lblIssStat" ) + "\"" ); %>;
var lblIssNum = <% out.print( "\"" + resBndl.getString( "lblIssNum" ) + "\"" ); %>; 

var msgDelBrkLnk = <% out.print( "\"" + resBndl.getString( "msgDelBrkLnk" ) + "\"" ); %>;
var msgConfrmDel = <% out.print( "\"" + resBndl.getString( "msgConfrmDel" ) + "\"" ); %>;

// --------------------------
function chkAll() {

	var cBox;
	var chkd;
	var i;
	var found = true;

	cBox = document.getElementsByName("chkAll" )[0];

	chkd = cBox.checked;

	i = 0;

	while( found ) {

		cBox = document.getElementById("chkLine" + i );

		if( cBox == undefined ) {

			found = false;
		}
		else {

			cBox.checked = chkd;

			setChkLine( i )
			i++;
		}
	}
}

// ------------------------------------------
function presetSels() {

<%

	if( isSrvc ) {

		oStr = "preselSelByVal( \"Author\", \"" + author + "\" );";
		out.println( oStr );

		oStr = "preselSelByVal( \"Assign\", \"" + assign + "\" );";
		out.println( oStr );
	}

	if( isAll || isSup ) { 

		oStr = "preselSelByVal( \"UGroup\", \"" + uGroup + "\" );";
		out.println( oStr );
	}

	oStr = "preselSelByVal( \"IssType\", \"" + issType + "\" );";
	out.println( oStr );

	oStr = "preselSelByVal( \"IssStat\", \"" + issStat + "\" );";
	out.println( oStr );

	oStr = "preselSelByVal( \"Prio\", \"" + prio + "\" );";
	out.println( oStr );
%>
}

// ----------------------------------------------
/*
function shipSel() {

	if( parent !== undefined ) {
		parent.notifyEvent( "Proc", "" );
		}
	document.getElementsByName( "LstForm" )[0].submit();
}
*/

// ----------------------------------------------
function reLoadLst( p_Default ) {

	frm = document.getElementsByName( "FilterForm" )[0];

	if( frm != null ) {

		if( parent !== undefined ) {

			parent.notifyEvent( "Proc", "" );
		}
		frm.submit();
	}
	else {

		self.location.href = p_Default;
	}
}

// ----------------------------------------------
function setChkLine( p_ix ) {

	var cBox;
	var chkd;
	var inp;
	var val;

//alert( "setChkLine( " + p_ix );
	cBox = document.getElementById( "chkLine" + p_ix );
	chkd = cBox.checked;

	inp = document.getElementsByName( "Line" + p_ix )[0];

	if( chkd ) {

		val = cBox.parentNode.parentNode.id;

		inp.value = val;
	}
	else {

		inp.value = "";
	}
}

// ----------------------------------------------
function Startup() {

	m_noMenue = true;
	m_Reload = false;

	

	if( MS )  {

		document.body.onclick=MSaClickWin;
	}
	else {

		document.body.addEventListener( "click", aClickWin, true );
	}

	m_ImHere = true;

	presetSels();

	sortTbl( "RepLst", "nUp", m_srtStrtCol, m_srtStrt);
}
// -->
</script>
</head>

<body bgcolor="#DDCCEE" class="work" onLoad="Startup()">

<!-- p id="tst1">...</p>
<p id="tst2">...</p>
<p id="tst3">...</p>
<p id="tst4">...</p -->

<%
	Rslt2DArray docLst = new Rslt2DArray( true );

	if( docLst.checkRslt( docLstr ) ) {

		String[] wOStatLst = {};
		
		if( isAll ) {

			if( isCl ) {

				issStat = QNDefs.c_StatClosed;
			}
			else {

				wOStatLst = new String[] { QNDefs.c_StatClosed };
			}
			
			ntfyMsg = "AllIssRepLstOK";
		}


		if( isSrch ) {

			docLst = docLstr.findIss( srchTxt, false );
			ntfyMsg = "SrchIssRepLstOK";
		}
		else {
			
			docLst = docLstr.getIssRepLst( author, assign, uGroup, proj, prio, issType, issStat, issNum, wOStatLst );

//out.println( "'" + author + "'" + assign + "'" + uGroup + "'" + proj + "'" + prio + "'" + issType + "'" + issStat + "'" + issNum );

			ntfyMsg = "IssRepLstOK";
		}

	}

	if( res.checkRslt( docLst, true ) ) {
		out.println( "<p style=\"font-size:80%\">" + SFormatter.format( resBndl.getString( "lblNoRec" ), String.valueOf( docLst.size() ) ) + "</p>" );		
%>

		<table class="work" width="99%" id="RepLst">
		  <thead>
				<tr>
<%
		if( withChk ) {
%>
					<td>&nbsp;</td>
<%  
			cols += 1;
		}

		cols += 4; // the actual number of columns showed + the optionals for manegement!
%>
					<td><b><fmt:message key="lblIssNum"/></b></td>
					<td><b><fmt:message key="lblIssType"/></b></td>
					<!-- td><b><fmt:message key="lblPrio"/></b></td -->
					<td><b><fmt:message key="lblIssStat"/></b></td>

<% 	if( isSrvc ) { %>

					<td><b><fmt:message key="lblAssgnd"/></b></td>
<%    cols += 1; 	
		} %>
				
					<td><b><fmt:message key="lblTitle"/></b></td>

<% 	if( isSrvc ) { %>
					<td><b><fmt:message key="lblGroup"/></b></td>
					<td><b><fmt:message key="lblAuthor"/></b></td>
<%    cols += 2; 	
		} %>

					<td><b><fmt:message key="lblProj"/></b></td>
					<!-- td><b><fmt:message key="lblFctn"/></b></td -->
				</tr>
<%	if( !( isSrch ) ) { %>
				<tr>
					<form name="FilterForm" action="IssRepLst.jsp" method="post">

				<%out.println( "<input name=\"Mode\" type=\"hidden\" value=\"" + mode + "\"/>" ); %>

<%	
			if( withChk ) {
%>
					<td><b><fmt:message key="lblSelAllSh"/></b></td>
<%		} %>

					<td><input name="IssNum" type="text" size="4" value="<% out.println( issNum ); %>"/></td>

					<td>
						<select name="IssType" size="1">
							<option value=""></option>
							<option value="cr"><fmt:message key="valIssType_cr"/></option>
							<option value="er"><fmt:message key="valIssType_er"/></option>
							<option value="rc"><fmt:message key="valIssType_rc"/></option>
						</select>
					</td>

					<td>
					<!-- input name="IssStat" type="text" size="10" value="<% out.println( issStat ); %>"/ -->
						<select name="IssStat" size="1">
							<option value=""></option>
<!-- option value="rCfNR"><fmt:message key="valStat_rCfNR"/></option -->
<option value="rg"><fmt:message key="valStat_rg"/></option>
<!-- option value="wf"><fmt:message key="valStat_wf"/></option -->
<!-- option value="fd"><fmt:message key="valStat_fd"/></option -->
<!-- option value="rr"><fmt:message key="valStat_rr"/></option -->
<option value="rt"><fmt:message key="valStat_rt"/></option>
<option value="rs"><fmt:message key="valStat_rs"/></option>
<!-- option value="du"><fmt:message key="valStat_du"/></option -->
<option value="dr"><fmt:message key="valStat_dr"/></option>
<option value="sb"><fmt:message key="valStat_sb"/></option>
<option value="re"><fmt:message key="valStat_re"/></option>
<option value="sh"><fmt:message key="valStat_sh"/></option>
<option value="es"><fmt:message key="valStat_es"/></option>
<option value="cl"><fmt:message key="valStat_cl"/></option>
<!-- option value="bd"><fmt:message key="valStat_bd"/></option -->
<!-- option value="rv"><fmt:message key="valStat_rv"/></option -->
<option value="ts"><fmt:message key="valStat_ts"/></option>
<option value="ps"><fmt:message key="valStat_ps"/></option>
<option value="ev"><fmt:message key="valStat_ev"/></option>
<!-- option value="CfNR"><fmt:message key="valStat_CfNR"/></option -->
<option value="cr"><fmt:message key="valStat_cr"/></option>
<!-- option value="ct"><fmt:message key="valStat_ct"/></option -->
<!-- option value="nr"><fmt:message key="valStat_nr"/></option -->
<option value="tf"><fmt:message key="valStat_tf"/></option>
<option value="fx"><fmt:message key="valStat_fx"/></option>
<option value="as"><fmt:message key="valStat_as"/></option>
<option value="at"><fmt:message key="valStat_at"/></option>
<option value="rj"><fmt:message key="valStat_rj"/></option>
						</select>
					</td>

<% 		if( isSrvc && !(isSrch) ) { %>

					<td>
						<select name="Assign" size="1">
							<option value=""></option>
<%

				rTbl = uTool.getSrvcLst( assGroup );

				if( rTbl.isOK() ) {

					x = rTbl.size();

					for( i = 0; i < x; ++i ) {
					
						aUser = rTbl.getCell( 0, i );

						out.println( "<option value=\"" + aUser + "\">" + aUser + "</option>" );
					}
				}
%>
						</select>
					</td>
<%		} %>

					<!-- Title -->
					<td></td>

					<td>

<% 		if( isSup || isAll ) { 
%>
						<select name="UGroup" size="1">
							<option value=""></option>
<%
				rTbl = uTool.getUGroupLst();

				if( rTbl.isOK() ) {

					x = rTbl.size();

					for( i = 0; i < x; ++i ) {
						
						aGroup = rTbl.getCell( 0, i );

						out.println( "<option value=\"" + aGroup + "\">" + aGroup + "</option>" );
					}
				}
%>
						</select>
<%
			}
			else {

				out.println( "<input class=\"ro\" name=\"UGroup\" type=\"text\" size=\"12\" value=\"" + uGroup + "\" readonly/>" );
			}
%>
					</td>

<% 		if( isSrvc ) { %>

					<td>
						<select name="Author" size="1">
							<option value=""></option>
<%
				rTbl = uTool.getUserLst();

				if( rTbl.isOK() ) {

					x = rTbl.size();

					for( i = 0; i < x; ++i ) {
					
						aUser = rTbl.getCell( 0, i );

						out.println( "<option value=\"" + aUser + "\">" + aUser + "</option>" );
					}
				}
%>
						</select>
					</td>

					<td>

<% 			if( isSrvc ) { 
%>
						<select name="Proj" size="1">
							<option value=""></option>
<%
					/*rTbl = uTool.getProjLst();

					if( rTbl.isOK() ) {

						x = rTbl.size();

						for( i = 0; i < x; ++i ) {
						
							aVal = rTbl.getCell( 0, i );

							out.println( "<option value=\"" + aVal + "\">" + aVal + "</option>" );
						}
					} */
%>
						</select>
<%
				}
				else {

					out.println( "<input class=\"ro\" name=\"Proj\" type=\"text\" size=\"12\" value=\"" + proj + "\" readonly/>" );
				}
%>
					</td>

<%		} %>
					</form>
				</tr>
<%	} %>
				<tr>
<%	
		if( withChk ) {
%>
					<td><input type="checkbox" name="chkAll" onClick="chkAll()"/></td>
<%  }

		// Row for sort icons

		i = srtStrtCol;

		part1 = "<td width=\"48\"><input type=\"image\" src=\"rsc/ArrDwn.gif\" alt=\"Sort\" onclick=\"sortTbl('RepLst', 'nDwn', ";
		part2 = ", " + srtStrt + ", " + srtStrtCol + ")\"><input type=\"image\" src=\"rsc/ArrUp.gif\" alt=\"Sort\" onclick=\"sortTbl('RepLst', 'nUp', ";
		part3 = ", " + srtStrt + ", " + srtStrtCol + ")\"></td>";

		out.println( part1 + i + part2 + i + part3 );

		part1 = "<td width=\"48\"><input type=\"image\" src=\"rsc/ArrDwn.gif\" alt=\"Sort\" onclick=\"sortTbl('RepLst', 'aDwn', ";
		part2 = ", " + srtStrt + ", " + srtStrtCol + ")\"><input type=\"image\" src=\"rsc/ArrUp.gif\" alt=\"Sort\" onclick=\"sortTbl('RepLst', 'aUp', ";
		part3 = ", " + srtStrt + ", " + srtStrtCol + ")\"></td>";

		for( i = (srtStrtCol + 1); i < cols; i++ ) {
		
			out.println( part1 + i + part2 + i + part3 );
		}
%>
				</tr>
			</thead>

			<tbody>
			<form name="LstForm" action="UpdQNDoc" method="post" target="ifrmExecDial">
			
				<input name="QNA" type="hidden" id="idLstFormQNA" value="">
				<input name="Stat" type="hidden" id="idLstFormStat">
				<input name="CurrStat" type="hidden" id="idLstFormCurrStat">
				<input name="Author" type="hidden" id="idLstFormAuthor">
				<input name="Val1" type="hidden" id="idLstFormVal1">
				<input name="Val2" type="hidden" id="idLstFormVal2">
				<input name="Val3" type="hidden" id="idLstFormVal3">

<% // and the actual list
				
		x = docLst.size();

//out.println( "Size: " + x );

		for( i = 0; i < x; i++ ) {

			/* workaround (chkbox value is lost when sorting) */
			line = "<input type=\"hidden\" name=\"Line" + i + "\" value=\"\">";
			out.println( line );
		}

		out.println( "<input name=\"Lines\" type=\"hidden\" value=\"" + x + "\"/>" ); 

		for( i = 0; i < x; i++ ) {

			data = (String[])docLst.get( i );
		
			out.println( "<tr id=\"" + data[0] + "\" onMouseover=\"mOv(this.id)\" onMouseout=\"mOut(this.id, 'white')\">" );

			//1 author, 2 assign, 3 group, 4 issNum, 5 proj, 6 title, 7 issType, 8 prio,  9 issStat

			if( withChk ) {

				line = "<td><input type=\"checkbox\" id=\"chkLine" + i + "\" onclick=\"setChkLine(" + i +")\"></td>";

				out.println( line );
			}

			td = "<td onClick=\"showIssLstMenu(parentNode.id, " + withEdit + ", " + withAssign + ")\"> ";

			// issNum
			out.println( td + data[4] + "</td>" );

			// issType
			out.println( td + resBndl.getString( "valIssType_" + data[7] ) + "</td>" );

			// prio
			//out.println( td + resBndl.getString( "valPrio_" + data[8] ) + "</td>" );

			// issue status
			out.println( td + resBndl.getString( "valStat_" + data[9] ) + "</td>" );

			if( isSrvc ) {
				
				// assign
				out.println( td + data[2] + "</td>" );
			}

			// title

			// does not work with sort
			//line = td + "<a href=\"VIssRepFr.jsp?QNA=ViewIss&UID=" + data[0] + "\">" + data[6] + "</a></td>";
			line =  td + data[6] + "</td>";
			out.println( line );

			if( isSrvc ) {

				// group
				out.println( td + data[3] + "</td>" );
				
				// author
				out.println( td + data[1] + "</td>" );
			}
			
			// proj
			out.println( td + data[5] + "</td>" );


			out.println( "</tr>" );
		}
%>
			</form>
			</tbody>
		</table>

<%
	}

	if( res.isOK() ) {

		out.println( "<script type=\"text/javascript\">notify( \"" + ntfyMsg + "\" );</script>" );	
	}
	else {

//		out.println( "<script type=\"text/javascript\">notifyErr( \"" + res.getRsltFinalMsg() + "\" );</script>" );
		sTools.logErr( this, request, res );

		int ii, xx;
		ArrayList addInfo;

		String ss;
		
		addInfo = res.getRsltAddInfo();

		out.println( "### piQa Error Info ###<br>" );
		
		out.println( "Session ID: '" + request.getSession().getId() + "'<br>" );

//	 add user and application info!						
		/*			
   		out.println( "Path: '" + request.getPathInfo() + "'<br>" );
			out.println( "Path2: '" + request.getContextPath() + "'<br>" );
			out.println( "Path3: '" + request.getPathTranslated() + "'<br>" );
			out.println( "Path4: '" + request.getRequestURI() + "'<br>" );
			out.println( "Path: '" + request.getServletPath() + "'<br>" );
		*/
			
		out.println( "URL: '" + request.getRequestURL() + "'<br>" );
		
		out.println( "RemUser: '" + request.getRemoteUser() + "'<br>" );
		   
		out.println( "Request string: '" + request.getQueryString() + "'<br>" );
		
		out.println( "--- Rslt info:<br>" );
		   
		xx = addInfo.size();
			
		for( ii = 0; ii < xx; ++ii ) {

			ss = (String)addInfo.get( ii );
			ss += "<br>";
			
			out.println( ss );
		}
		
		out.println( "--- Rslt status: " + RsltStatVal.label[ res.getRsltStatVal() ] + "<br>" );
	}
%>


	<!-- required to fix IE Problem with select fields protruding -->
	<iframe id="selHider" src="javascript:'&lt;html&gt;&lt;/html&gt;';" scrolling="no" frameborder="0" style="position:absolute;width:10;height:10;top:-500;left:50;border:none;display:block;z-index:0;filter:Alpha(opacity=0);"></iframe>

	<div id="dialButMenu" style="visibility:hidden; position:absolute; top:-500; left:50;">
		<table class="dial" id="tbPopButMenu">		
		</table>
	</div>

<%@ include file="jspf/ComnDial.jspf" %>
<%@ include file="jspf/ProbManDial.jspf" %>

<!-- %@ include file="jspf/ErrHndl.jspf" % -->

<%
	dBAcc.close();
%>

</body>
</html>